org.apache.tinkerpop.gremlin.server.handler

## Class OpExecutorHandler

- java.lang.Object
- - io.netty.channel.ChannelHandlerAdapter
  - - io.netty.channel.ChannelInboundHandlerAdapter
    - - io.netty.channel.SimpleChannelInboundHandler<org.javatuples.Pair<RequestMessage,ThrowingConsumer<Context>>>
      - - org.apache.tinkerpop.gremlin.server.handler.OpExecutorHandler

- All Implemented Interfaces:
    io.netty.channel.ChannelHandler, io.netty.channel.ChannelInboundHandler

      @ChannelHandler.Sharable
      public class OpExecutorHandler
      extends io.netty.channel.SimpleChannelInboundHandler<org.javatuples.Pair<RequestMessage,ThrowingConsumer<Context>>>

  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface io.netty.channel.ChannelHandler

      `io.netty.channel.ChannelHandler.Sharable`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OpExecutorHandler(Settings settings, GraphManager graphManager, GremlinExecutor gremlinExecutor, ScheduledExecutorService scheduledExecutorService)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `channelRead0(io.netty.channel.ChannelHandlerContext ctx, org.javatuples.Pair<RequestMessage,ThrowingConsumer<Context>> objects)`

    - ### Methods inherited from class io.netty.channel.SimpleChannelInboundHandler

      `acceptInboundMessage, channelRead`

    - ### Methods inherited from class io.netty.channel.ChannelInboundHandlerAdapter

      `channelActive, channelInactive, channelReadComplete, channelRegistered, channelUnregistered, channelWritabilityChanged, exceptionCaught, userEventTriggered`

    - ### Methods inherited from class io.netty.channel.ChannelHandlerAdapter

      `ensureNotSharable, handlerAdded, handlerRemoved, isSharable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface io.netty.channel.ChannelHandler

      `handlerAdded, handlerRemoved`

- - ### Constructor Detail

    - #### OpExecutorHandler

          public OpExecutorHandler(Settings settings,
                                   GraphManager graphManager,
                                   GremlinExecutor gremlinExecutor,
                                   ScheduledExecutorService scheduledExecutorService)

  - ### Method Detail

    - #### channelRead0

          protected void channelRead0(io.netty.channel.ChannelHandlerContext ctx,
                                      org.javatuples.Pair<RequestMessage,ThrowingConsumer<Context>> objects)
                               throws Exception

      Specified by:
        `channelRead0` in class `io.netty.channel.SimpleChannelInboundHandler<org.javatuples.Pair<RequestMessage,ThrowingConsumer<Context>>>`
      Throws:
        `Exception`

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.